# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import _, api, fields, models
from odoo.exceptions import ValidationError


class FumocCompany(models.Model):
    _inherit = "res.company"

    year_reference_lot = fields.Integer(string="Année de référence lot")

    @api.constrains("year_reference_lot")
    def _check_year_reference_lot(self):
        for r in self:
            if not 2000 < r.year_reference_lot < 2050:
                raise ValidationError(
                    _(
                        "L'année de référence renseignée (%s) ne semble pas "
                        "cohérente" % r.year_reference_lot
                    )
                )
