# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class FumocStockPicking(models.Model):
    _inherit = "stock.picking"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    res_transporter_id = fields.Many2one(
        string="Transporteur", related="sale_id.res_transporter_id"
    )
    packaging_id = fields.Many2one(string="Emballage", related="sale_id.packaging_id")

    partner_contact_id = fields.Many2one(
        comodel_name="res.partner",
        string="Contact associé",
        compute="_compute_partner_contact_id",
    )

    # ------------------------------------------------------
    # Compute
    # ------------------------------------------------------
    def _compute_partner_contact_id(self):
        for r in self:
            partner = r.partner_id
            is_contact = False
            while not is_contact:
                if partner.type != "contact":
                    if partner.parent_id:
                        partner = partner.parent_id
                    else:
                        partner = False
                        is_contact = True
                else:
                    is_contact = True
            r.partner_contact_id = partner
